#
Summary: This puts in a value of 30 for /proc/sys/vm/inactive_clean_percent
Name: zz_kernel_clean
Version: 1.0
Release: 2
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Vendor: Fermilab
Packager: Troy Dawson
requires: initscripts
%description

For the RedHat kernel 2.4.21-9.EL, and it's derivitives, there is a bug that
is fixed by setting /proc/sys/vm/inactive_clean_percent to 30.  See
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=115438

%files
%post
#
# This modifies /etc/sysctl.conf to fix kernel bug 115438
#
if [ -f /etc/sysctl.conf ] ; then
	if ! `grep -q zz_kernel_clean /etc/sysctl.conf` ; then
		#echo "We didn't find the first grep"
		echo "# lines added by zz_kernel_clean" >> /etc/sysctl.conf
	fi
	if ! `grep -q vm.inactive_clean_percent /etc/sysctl.conf` ; then
		#echo "We didn't find the second grep"
		echo "vm.inactive_clean_percent = 30" >> /etc/sysctl.conf
	else
		#echo "We found the second grep"
		cat /etc/sysctl.conf | sed 's:^[ 	]*#vm.inactive_clean_percent = 30:vm.inactive_clean_percent = 30:' > /etc/sysctl.conf.tmp
		mv /etc/sysctl.conf.tmp /etc/sysctl.conf
	fi	
fi


%postun
if [ "$1" = "0" ] ; then
	#
if [ -f /etc/sysctl.conf ] ; then
	if `grep -q vm.inactive_clean_percent /etc/sysctl.conf` ; then
		cat /etc/sysctl.conf | sed 's:^[ 	]*vm.inactive_clean_percent = 30:#vm.inactive_clean_percent = 30:' > /etc/sysctl.conf.tmp
		mv /etc/sysctl.conf.tmp /etc/sysctl.conf
	fi	
fi
fi

%triggerin -- initscripts
if [ -f /etc/sysctl.conf ] ; then
	if ! `grep -q zz_kernel_clean /etc/sysctl.conf` ; then
		#echo "We didn't find the first grep"
		echo "# lines added by zz_kernel_clean" >> /etc/sysctl.conf
	fi
	if ! `grep -q vm.inactive_clean_percent /etc/sysctl.conf` ; then
		#echo "We didn't find the second grep"
		echo "vm.inactive_clean_percent = 30" >> /etc/sysctl.conf
	else
		#echo "We found the second grep"
		cat /etc/sysctl.conf | sed 's:^[ 	]*#vm.inactive_clean_percent = 30:vm.inactive_clean_percent = 30:' > /etc/sysctl.conf.tmp
		mv /etc/sysctl.conf.tmp /etc/sysctl.conf
	fi	
fi

%changelog
* Mon Apr 26 2004 Connie Sieh (csieh@fnal.gov)
- Changed all sys.vm.inactive_clean_percent to vm.inactive_clean_percent

* Thu Mar 25 2004 Troy Dawson (dawson@fnal.gov)
- Released version 1.0 - a bug free release :)
